/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "wc_opciones_grupos")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "WcOpcionesGrupos.findAll", query = "SELECT w FROM WcOpcionesGrupos w")
        , @NamedQuery(name = "WcOpcionesGrupos.findByIdGrupo", query = "SELECT w FROM WcOpcionesGrupos w WHERE w.wcOpcionesGruposPK.idGrupo = :idGrupo")
        , @NamedQuery(name = "WcOpcionesGrupos.findByIdOpcion", query = "SELECT w FROM WcOpcionesGrupos w WHERE w.wcOpcionesGruposPK.idOpcion = :idOpcion")
        , @NamedQuery(name = "WcOpcionesGrupos.findByOtros", query = "SELECT w FROM WcOpcionesGrupos w WHERE w.otros = :otros")})
public class WcOpcionesGrupos implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected WcOpcionesGruposPK wcOpcionesGruposPK;
    @Column(name = "otros")
    private Integer otros;

    public WcOpcionesGrupos() {
    }

    public WcOpcionesGrupos(WcOpcionesGruposPK wcOpcionesGruposPK) {
        this.wcOpcionesGruposPK = wcOpcionesGruposPK;
    }

    public WcOpcionesGrupos(int idGrupo, int idOpcion) {
        this.wcOpcionesGruposPK = new WcOpcionesGruposPK(idGrupo, idOpcion);
    }

    public WcOpcionesGruposPK getWcOpcionesGruposPK() {
        return wcOpcionesGruposPK;
    }

    public void setWcOpcionesGruposPK(WcOpcionesGruposPK wcOpcionesGruposPK) {
        this.wcOpcionesGruposPK = wcOpcionesGruposPK;
    }

    public Integer getOtros() {
        return otros;
    }

    public void setOtros(Integer otros) {
        this.otros = otros;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (wcOpcionesGruposPK != null ? wcOpcionesGruposPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof WcOpcionesGrupos)) {
            return false;
        }
        WcOpcionesGrupos other = (WcOpcionesGrupos) object;
        if ((this.wcOpcionesGruposPK == null && other.wcOpcionesGruposPK != null) || (this.wcOpcionesGruposPK != null && !this.wcOpcionesGruposPK.equals(other.wcOpcionesGruposPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.WcOpcionesGrupos[ wcOpcionesGruposPK=" + wcOpcionesGruposPK + " ]";
    }

}
